From e978e19004a43e6aa051fd9e69d72e654e258f37 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Thu, 9 May 2019 17:26:58 +0200
Subject: [PATCH 1/2] telegram-desktop: update to 0.7.0.

---
 srcpkgs/telegram-desktop/files/Telegram.cmake | 10 +++++++++-
 srcpkgs/telegram-desktop/template             |  4 ++--
 2 files changed, 11 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/telegram-desktop/files/Telegram.cmake b/srcpkgs/telegram-desktop/files/Telegram.cmake
index f389bbc2877..e6317a2af83 100644
--- a/srcpkgs/telegram-desktop/files/Telegram.cmake
+++ b/srcpkgs/telegram-desktop/files/Telegram.cmake
@@ -90,7 +90,6 @@ file(GLOB FLAT_SOURCE_FILES
 	SourceFiles/core/*.cpp
 	SourceFiles/data/*.cpp
 	SourceFiles/dialogs/*.cpp
-	SourceFiles/history/*.cpp
 	SourceFiles/inline_bots/*.cpp
 	SourceFiles/intro/*.cpp
 	SourceFiles/lang/*.cpp
@@ -113,7 +112,9 @@ file(GLOB FLAT_EXTRA_FILES
 	SourceFiles/passport/passport_form_row.cpp
 	SourceFiles/storage/*_tests.cpp
 	SourceFiles/storage/*_win.cpp
+	SourceFiles/storage/storage_feed_messages.cpp
 	SourceFiles/storage/cache/*_tests.cpp
+	SourceFiles/data/data_feed_messages.cpp
 )
 list(REMOVE_ITEM FLAT_SOURCE_FILES ${FLAT_EXTRA_FILES})
 
@@ -127,6 +128,13 @@ file(GLOB_RECURSE SUBDIRS_SOURCE_FILES
 	SourceFiles/window/*.cpp
 )
 
+file(GLOB SUBDIRS_EXTRA_FILES
+	SourceFiles/info/feed/*.cpp
+	SourceFiles/info/channels/*.cpp
+	SourceFiles/history/feed/*.cpp
+)
+list(REMOVE_ITEM SUBDIRS_SOURCE_FILES ${SUBDIRS_EXTRA_FILES})
+
 add_executable(Telegram WIN32 ${QRC_FILES} ${FLAT_SOURCE_FILES} ${SUBDIRS_SOURCE_FILES})
 
 set(TELEGRAM_COMPILE_DEFINITIONS
diff --git a/srcpkgs/telegram-desktop/template b/srcpkgs/telegram-desktop/template
index c0fa17e6e42..54af3b29679 100644
--- a/srcpkgs/telegram-desktop/template
+++ b/srcpkgs/telegram-desktop/template
@@ -1,6 +1,6 @@
 # Template file for 'telegram-desktop'
 pkgname=telegram-desktop
-version=1.6.7
+version=1.7.0
 revision=1
 _libtgvoip_commit=e7010506210fbb3a6704d7ac1276b3334f9ab6c9
 _GSL_commit=d846fe50a3f0bb7767c7e087a05f4be95f4da0ec
@@ -29,7 +29,7 @@ distfiles="https://github.com/telegramdesktop/tdesktop/archive/v${version}.tar.g
  https://github.com/mapbox/variant/archive/${_variant_commit}.tar.gz
  https://github.com/telegramdesktop/crl/archive/${_crl_commit}.tar.gz
  https://github.com/catchorg/Catch2/archive/${_Catch_commit}.tar.gz"
-checksum="77f4cf6507d1ebc26eaef472aa4817cc57a77c5e3065f6b2afa294530f0633a1
+checksum="3be1f6979da9dd0061f27ad5082f96633a4dfde078b1406554b13d5e9674a8bb
  9c250f24c0f1775daefb2967c2a25be1d10ea35e72928256aec3f469e576bac4
  be81db4ab1b57102a0fa1cd0c4a6469294eb9daf24294347592245b754f65ff6
  aa794dfefe0a90501587e36d977b958d0df888503117a8d9aa43dc14f8526d9d

From aec0c8b217b8ee9929a4e2ab3a300729877df743 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Thu, 9 May 2019 18:35:45 +0200
Subject: [PATCH 2/2] range-v3: update to 0.5.0.

---
 srcpkgs/range-v3/template | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/range-v3/template b/srcpkgs/range-v3/template
index 3f14e093cb2..8a504d79a03 100644
--- a/srcpkgs/range-v3/template
+++ b/srcpkgs/range-v3/template
@@ -1,16 +1,24 @@
 # Template file for 'range-v3'
 pkgname=range-v3
-version=0.4.0
+version=0.5.0
 revision=1
 build_style=cmake
-configure_args="-DRANGE_V3_EXAMPLES=OFF -DRANGE_V3_PERF=OFF -DRANGE_V3_TESTS=ON
- -DRANGE_BUILD_CALENDAR_EXAMPLE=OFF -DRANGES_NATIVE=OFF"
+configure_args="-DRANGE_V3_EXAMPLES=OFF -DRANGES_BUILD_CALENDAR_EXAMPLE=OFF
+ -DRANGES_NATIVE=OFF"
 short_desc="Experimental range library for C++11/14/17"
 maintainer="John <johnz@posteo.net>"
 license="BSL-1.0"
 homepage="https://github.com/ericniebler/range-v3"
 distfiles="https://github.com/ericniebler/range-v3/archive/${version}.tar.gz"
-checksum=5dbc878b7dfc500fb04b6b9f99d63993a2731ea34b0a4b8d5f670a5a71a18e39
+checksum=32e30b3be042246030f31d40394115b751431d9d2b4e0f6d58834b2fd5594280
+
+if [ "$XBPS_CHECK_PKGS" ]; then
+	configure_args+=" -DRANGE_V3_HEADER_CHECKS=ON -DRANGE_V3_TESTS=ON
+	 -DDRANGE_V3_PERF=ON"
+else
+	configure_args+=" -DRANGE_V3_HEADER_CHECKS=OFF -DRANGE_V3_TESTS=OFF
+	 -DDRANGE_V3_PERF=OFF"
+fi
 
 pre_configure() {
 	sed -i -e '/Werror/d' -e '/Wextra/d' -e '/Wall/d' cmake/ranges_flags.cmake
